CUDNN Frontend API 8.3.0

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
cudnn_frontend::EngineConfig_v8 Class Reference

`#include <cudnn_frontend_EngineConfig.h>`

Inheritance diagram for cudnn_frontend::EngineConfig_v8:
Collaboration diagram for cudnn_frontend::EngineConfig_v8:

## Public Member Functions
std::string | describe () const override
| Return a string describing the backend Descriptor. More...
EngineConfig_v8 & | operator= (EngineConfig_v8 &&from)=default
| EngineConfig_v8 (EngineConfig_v8 &&from)=default
| ~EngineConfig_v8 ()=default
std::string const & | getTag () const
Public Member Functions inherited from cudnn_frontend::BackendDescriptor
cudnnBackendDescriptor_t | get_raw_desc () const
cudnnStatus_t | get_status () const
| Current status of the descriptor. More...
void | set_status (cudnnStatus_t const status_) const
| Set status of the descriptor. More...
void | set_error (const char *message) const
| Set Diagonistic error message. More...
const char * | get_error () const
| Diagonistic error message if any. More...
ManagedOpaqueDescriptor | get_desc () const
| Returns a copy of underlying managed descriptor. More...
cudnnStatus_t | initialize_managed_backend_pointer (cudnnBackendDescriptorType_t type)
| Initializes the underlying managed descriptor. More...

## Private Member Functions
| EngineConfig_v8 ()
| EngineConfig_v8 (EngineConfig_v8 const &)=delete
EngineConfig_v8 & | operator= (EngineConfig_v8 const &)=delete

## Private Attributes
ManagedOpaqueDescriptor | engine = nullptr
int64_t | numKnobs = 0
std::string | opGraphTag
bool | set_knobs_attr = false
std::array< ManagedOpaqueDescriptor, CUDNN_KNOB_TYPE_COUNTS > | bChoices = {}
| Opaque pointer to the backend knobs. More...

## Friends
class | EngineConfigBuilder_v8

## Additional Inherited Members
Protected Member Functions inherited from cudnn_frontend::BackendDescriptor
| BackendDescriptor (ManagedOpaqueDescriptor pointer_, cudnnStatus_t status_, std::string err_msg_)
| BackendDescriptor ()=default
Protected Attributes inherited from cudnn_frontend::BackendDescriptor
ManagedOpaqueDescriptor | pointer
cudnnStatus_t | status = CUDNN_STATUS_SUCCESS
| Shared pointer of the OpaqueBackendPointer. More...
std::string | err_msg
| Error message if any being set. More...

## Detailed Description

EngineConfig_v8 Class This class tells the Configuration of the Engine_v8 in terms of the knob choices Properties:

- num knobs
- Choice
- Engine_v8

Use EngineConfigBuilder_v8 to build this class. Describe returns a string describing the tensor class

Definition at line 51 of file cudnn_frontend_EngineConfig.h.

## Constructor & Destructor Documentation

## ◆ EngineConfig_v8() [1/3]

cudnn_frontend::EngineConfig_v8::EngineConfig_v8 | ( | EngineConfig_v8 && | from | ) |
| default

## ◆ ~EngineConfig_v8()

cudnn_frontend::EngineConfig_v8::~EngineConfig_v8 | ( |  | ) |
| default

Referenced by describe().

## ◆ EngineConfig_v8() [2/3]

cudnn_frontend::EngineConfig_v8::EngineConfig_v8 | ( |  | ) |
| inlineprivate

Definition at line 76 of file cudnn_frontend_EngineConfig.h.

References bChoices, cudnn_frontend::make_shared_backend_pointer(), operator=(), cudnn_frontend::set_error_and_throw_exception(), and cudnn_frontend::BackendDescriptor::status.

Referenced by describe().

## ◆ EngineConfig_v8() [3/3]

cudnn_frontend::EngineConfig_v8::EngineConfig_v8 | ( | EngineConfig_v8 const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ describe()

std::string cudnn_frontend::EngineConfig_v8::describe | ( |  | ) | const
| inlineoverridevirtual

Return a string describing the backend Descriptor.

Implements cudnn_frontend::BackendDescriptor.

Definition at line 56 of file cudnn_frontend_EngineConfig.h.

References EngineConfig_v8(), numKnobs, operator=(), and ~EngineConfig_v8().

## ◆ getTag()

std::string const& cudnn_frontend::EngineConfig_v8::getTag | ( |  | ) | const
| inline

Definition at line 71 of file cudnn_frontend_EngineConfig.h.

References opGraphTag.

## ◆ operator=() [1/2]

EngineConfig_v8& cudnn_frontend::EngineConfig_v8::operator= | ( | EngineConfig_v8 && | from | ) |
| default

Referenced by cudnn_frontend::EngineConfigBuilder_v8::build(), describe(), and EngineConfig_v8().

## ◆ operator=() [2/2]

EngineConfig_v8& cudnn_frontend::EngineConfig_v8::operator= | ( | EngineConfig_v8 const & |  | ) |
| privatedelete

## Friends And Related Function Documentation

## ◆ EngineConfigBuilder_v8

friend class EngineConfigBuilder_v8
| friend

Definition at line 53 of file cudnn_frontend_EngineConfig.h.

Referenced by cudnn_frontend::EngineConfigBuilder_v8::build().

## Member Data Documentation

## ◆ bChoices

std::array<ManagedOpaqueDescriptor, CUDNN_KNOB_TYPE_COUNTS> cudnn_frontend::EngineConfig_v8::bChoices = {}
| private

Opaque pointer to the backend knobs.

Definition at line 98 of file cudnn_frontend_EngineConfig.h.

Referenced by EngineConfig_v8().

## ◆ engine

ManagedOpaqueDescriptor cudnn_frontend::EngineConfig_v8::engine = nullptr
| private

Definition at line 94 of file cudnn_frontend_EngineConfig.h.

## ◆ numKnobs

int64_t cudnn_frontend::EngineConfig_v8::numKnobs = 0
| private

Definition at line 95 of file cudnn_frontend_EngineConfig.h.

Referenced by describe().

## ◆ opGraphTag

std::string cudnn_frontend::EngineConfig_v8::opGraphTag
| private

Definition at line 96 of file cudnn_frontend_EngineConfig.h.

Referenced by getTag().

## ◆ set_knobs_attr

bool cudnn_frontend::EngineConfig_v8::set_knobs_attr = false
| private

Definition at line 97 of file cudnn_frontend_EngineConfig.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_EngineConfig.h